curl --request POST \
--url https://api.fabric.inc/v3/inventories/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": [
"3173*",
"45213"
]
}
],
"sort": "-inventory.createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/inventories/search"
payload = {
"filters": [
{
"condition": "EQ",
"field": "inventory.sku",
"value": "*V3"
},
{
"condition": "IN",
"field": "inventory.locationNumber",
"values": ["3173*", "45213"]
}
],
"sort": "-inventory.createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: [
{condition: 'EQ', field: 'inventory.sku', value: '*V3'},
{condition: 'IN', field: 'inventory.locationNumber', values: ['3173*', '45213']}
],
sort: '-inventory.createdAt'
})
};
fetch('https://api.fabric.inc/v3/inventories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"backorderLimit": 50,
"backorderShipmentAt": "2022-08-01T20:03:28.483Z",
"channelId": "channel_xyz",
"counters": {
"allocated": 10,
"onHand": 100,
"shipped": 20
},
"createdAt": "2022-08-01T18:03:28.483Z",
"customAttributes": {
"isBopis": true
},
"hasInfiniteInventory": false,
"inventoryId": "723910d81723",
"isNoStock": false,
"itemId": 12345,
"leadTime": "5 days",
"locationNumber": 12345,
"lowStock": 10,
"networkCode": "ShipToHome",
"preorderLimit": 40,
"preorderShipmentAt": "2022-08-01T20:03:28.483Z",
"region": "North America",
"safetyStock": 10,
"sku": "SKU1",
"status": " IN_STOCK",
"type": "primary",
"updatedAt": "2022-08-01T20:03:28.483Z",
"vendorId": "vendor1",
"virtualCounters": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
},
"virtualCountersStatus": {
"availableBackorder": "<string>",
"availablePreorder": "<string>",
"availableToPurchase": "<string>"
}
}
],
"pagination": {
"count": 1000,
"limit": 10,
"offset": 1
}
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Search for inventories
Search for inventories based on filter criteria.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
Unique request ID
Query Parameters
Body
Sample request to search inventory
50Criteria to find inventories by a single value. Condition between field and value is anything except IN and NIN when valueSearchFilter is used.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Property by which data is sorted
(^[+-]inventory\.[a-zA-Z.\-_]*)(,([+-]inventory\.[a-zA-Z.\-_]*)){0,}"+inventory.createdAt"
Was this page helpful?
